<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="location">
			<ui:include src="/pages/admin/submenu.xhtml" />
		</ui:define>
		<ui:define name="body">
			<p:panel header="#{facesContext.translate('title.admin.metadatatype.list')}">
				<p:dataTable id="metadatatypes" value="#{adminModel.metadatatypes}" var="m">
					<p:column headerText="#{facesContext.translate('label.id')}" sortable="true" filterable="true" sortBy="#{m.pk}" filterBy="#{m.pk}" filterMatchMode="contains" styleClass="column-integer-1k">
						<p:commandLink id="btn_editid" action="#{adminController.toEditMetadatatype(m)}" value="#{m.pk}" ajax="false" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.name')}" sortable="true" filterable="true" sortBy="#{m.name}" filterBy="#{m.name}" filterMatchMode="contains"
					          styleClass="column-name">
						<p:commandLink id="btn_editname" action="#{adminController.toEditMetadatatype(m)}" value="#{m.name}" ajax="false" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.description')}" sortable="true" filterable="true" sortBy="#{m.description}" filterBy="#{m.description}" filterMatchMode="contains"
					          styleClass="column-description">
						<p:commandLink id="btn_editdescr" action="#{adminController.toEditMetadatatype(m)}" value="#{m.description}" ajax="false" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.actions')}" styleClass="column-two-buttons">
						<p:commandButton id="btn_editall" action="#{adminController.toEditMetadatatype(m)}" value="" title="#{facesContext.translate('button.edit')}" icon="fa fa-pencil" styleClass="iconbutton" />
						<ship:removeButton action="#{adminController.doRemoveMetadatatype(m)}" isLink="false" value="" tooltip="#{facesContext.translate('button.remove')}"
							title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}">
							<h:outputText value="#{facesContext.translate('confirmation.delete', m.name)}" />
						</ship:removeButton>
					</p:column>
				</p:dataTable>
			</p:panel>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_add" action="#{adminController.toAddMetadatatype}" value="#{facesContext.translate('button.add')}" ajax="false" />
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Die hier definierten Prozessvariablentypen können beim Definieren von Prozessvariablen verwendet werden, um deren Bedeutung zu spezifizieren. 
		</ui:define>
	</ui:composition>
</h:body>
</html>